%global pypi_name hatch-fancy-pypi-readme

Name:           python-%{pypi_name}
Version:        22.3.0
Release:        1%{?dist}
Summary:        Hatch plugin for writing fancy PyPI readmes

License:        MIT
URL:            https://github.com/hynek/hatch-fancy-pypi-readme
Source0:        %{pypi_source hatch_fancy_pypi_readme}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# for running test
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
This provides a Hatch metadata plugin for everyone who cares about the
first impression of their project’s PyPI landing page. It allows you to
define your PyPI project description in terms of concatenated fragments
that are based on static strings, files, and most importantly: parts of
files defined using cut-off points or regular expressions.}

%description %{common_description}


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -n hatch_fancy_pypi_readme-%{version}


%generate_buildrequires
%pyproject_buildrequires -w -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatch_fancy_pypi_readme

%check
%pyproject_check_import
# test_end_to_end need network access
%pytest -v -k "not test_end_to_end"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/%{pypi_name}

%changelog
* Fri Sep 02 2022 Parag Nemade <pnemade AT redhat DOT com> - 22.3.0-1
- Initial release
